
    <div class="toolbar" *ngIf = "isClientConnected">
        <div class="left">
            <i class="pi pi-desktop icon"></i>
            <h4 class="main-header">DashBoard</h4>
        </div>
        <a class="visit-site" href="https://gitlab.com/amjad.mahfoud/rtos" target="new">View Code</a>
    </div>
    <div class="main-container" *ngIf = "isClientConnected">
        <mat-card class="card">
            <mat-card-header class="card-header">
                <i class="card-header-icon pi pi-chart-line"></i>
                <h4 class="title">Refrigerator 1 </h4>
            </mat-card-header>

            <label [ngStyle]="{'font-weight': 500}">Tempreture: </label>
            <label fo r="tempretureValue1.value" class="value-label"  [ngStyle]="{'color': (!isRefrigeratorsConnected[0]) ? '#e74848' : 'blue' }">{{tempretureValue1.value}}</label>
            <button (click)="showControlPanel1()" mat-raised-button color="primary" [disabled] = "!isRefrigeratorsConnected[0]" [ngClass]="(isRefrigeratorsConnected[0]) ? 'btn' : ''"><i
                    class="pi pi-eye btn-icon"></i>Open Control Panel</button>
                    <label *ngIf = "!isRefrigeratorsConnected[0]" class = "warning-label"><mat-icon class = "warning-icon">warning</mat-icon>Not Connected, please check the Refrigerator 1</label>
        </mat-card>
        <mat-card class="card">
            <mat-card-header class="card-header">
                <i class="card-header-icon pi pi-chart-line"></i>
                <h4 class="title">Refrigerator 2 </h4>
            </mat-card-header>

            <label [ngStyle]="{'font-weight': 500}">Tempreture: </label>
            <label fo r="tempretureValue2.value" class="value-label"  [ngStyle]="{'color': (!isRefrigeratorsConnected[1]) ? '#e74848' : 'blue' }">{{tempretureValue2.value}}</label>
            <button (click)="showControlPanel2()" mat-raised-button color="primary" [disabled] = "!isRefrigeratorsConnected[1]"  [ngClass]="(isRefrigeratorsConnected[1]) ? 'btn' : ''"><i
                    class="pi pi-eye btn-icon"></i>Open Control Panel</button>
                    <label *ngIf = "!isRefrigeratorsConnected[1]" class = "warning-label"><mat-icon class = "warning-icon">warning</mat-icon>Not Connected, please check the Refrigerator 2</label>
        </mat-card>
    </div>
    <mat-spinner *ngIf = "!isClientConnected" class = "spinner"></mat-spinner>
